ResultSetService
Date: 2017-11-28

org.gcube.common.searchservice.resultsetservice

## Class ResultSetService

- java.lang.Object
- - GCUBEPortType
  - - org.gcube.common.searchservice.resultsetservice.ResultSetService

-     public class ResultSetService
      extends GCUBEPortType

  Web service fron end to a `ResultSet`
  Author:
    UoA

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResultSetService()` Intializes a new instance and creates a tcp listener

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.gcube.common.searchservice.resultsetservice.stubs.AccessResourceResponse` | `accessResource(org.gcube.common.searchservice.resultsetservice.stubs.AccessResourceRequest request)` Creates a new resource holding a new reference to the `ResultSet` that was used to access the method
    `boolean` | `addResults(org.gcube.common.searchservice.resultsetservice.stubs.AddResultsRequest params)` forwards the request to `ResultSet.addResults(java.lang.String[])`
    `boolean` | `addText(org.gcube.common.searchservice.resultsetservice.stubs.AddTextRequest params)` forwards the request to `ResultSet.addText(java.lang.String[])`
    `boolean` | `canAttach(java.lang.String sessionToken)` Attaches the current payload file
    `org.gcube.common.searchservice.resultsetservice.stubs.CanStreamResponse` | `canStream(java.lang.String sessionToken)` Returns availalble port to connect to
    `org.gcube.common.searchservice.resultsetservice.stubs.ClearResponse` | `clear(java.lang.String sessionToken)` forwards the request to `ResultSet.clear()`
    `java.lang.String` | `cloneRS(java.lang.String sessionToken)` forwards the request to `ResultSet.cloneRS()`
    `org.gcube.common.searchservice.resultsetservice.stubs.CreateResourceResponse` | `createResource(org.gcube.common.searchservice.resultsetservice.stubs.CreateResourceRequest request)` Creates a new resource holding a refernece to a new `ResultSet`
    `org.gcube.common.searchservice.resultsetservice.stubs.CreateResourceResponse` | `createResourceExtended(org.gcube.common.searchservice.resultsetservice.stubs.CreateResourceExtendedRequest request)` Creates a new resource holding a refernece to a new `ResultSet`
    `org.gcube.common.searchservice.resultsetservice.stubs.CreateSerializedResourceResponse` | `createSerializedResource(org.gcube.common.searchservice.resultsetservice.stubs.CreateSerializedResourceRequest request)` Creates a new resource holding a refernece to a new `ResultSet`
    `org.gcube.common.searchservice.resultsetservice.stubs.DestroySessionResponse` | `destroySession(java.lang.String sessionToken)` Destroys the seesion associated with the session token
    `boolean` | `disableAccessLeasing(java.lang.String sessionToken)` forwards the request to `ResultSet`
    `boolean` | `disableTimeLeasing(java.lang.String sessionToken)` forwards the request to `ResultSet`
    `org.gcube.common.searchservice.resultsetservice.stubs.EndAuthoringResponse` | `endAuthoring(java.lang.String sessionToken)` forwards the request to `ResultSet.endAuthoring()`
    `java.lang.String` | `executeQueryOnDocument(org.gcube.common.searchservice.resultsetservice.stubs.ExecuteQueryOnDocumentRequest params)` forwards the request to `ResultSet.executeQueryOnDocument(java.lang.String)`
    `java.lang.String` | `executeQueryOnHead(org.gcube.common.searchservice.resultsetservice.stubs.ExecuteQueryOnHeadRequest params)` forwards the request to `ResultSet.executeQueryOnHead(java.lang.String)`
    `org.gcube.common.searchservice.resultsetservice.stubs.ExecuteQueryOnResultsResponse` | `executeQueryOnResults(org.gcube.common.searchservice.resultsetservice.stubs.ExecuteQueryOnResultsRequest params)` forwards the request to `ResultSet.executeQueryOnResults(java.lang.String)`
    `org.gcube.common.searchservice.resultsetservice.stubs.ExtendAccessLeasingResponse` | `extendAccessLeasing(org.gcube.common.searchservice.resultsetservice.stubs.ExtendAccessLeasingRequest request)` forwards the request to `ResultSet`
    `org.gcube.common.searchservice.resultsetservice.stubs.ExtendTimeLeasingResponse` | `extendTimeLeasing(org.gcube.common.searchservice.resultsetservice.stubs.ExtendTimeLeasingRequest request)` forwards the request to `ResultSet`
    `java.lang.String` | `filterRS(org.gcube.common.searchservice.resultsetservice.stubs.FilterRSRequest params)` forwards the request to `ResultSet.filterRS(java.lang.String)`
    `java.lang.String` | `filterRSProp(org.gcube.common.searchservice.resultsetservice.stubs.FilterRSPropRequest params)` forwards the request to `ResultSet.filterRS(java.lang.String, java.lang.String[])`
    `int` | `getAccessLeasing(java.lang.String sessionToken)` forwards the request to `ResultSet`
    `org.gcube.common.searchservice.resultsetservice.stubs.GetAllResultsResponse` | `getAllResults(java.lang.String sessionToken)` forwards the request to `ResultSet.getResults()`
    `java.lang.String` | `getCurrentContentPartName(java.lang.String sessionToken)` forwards the request to `ResultSet.getCurrentContentPartName()`
    `java.lang.String` | `getCurrentContentPartPayload(java.lang.String sessionToken)` forwards the request to `ResultSet.getCurrentContentPartPayload()`
    `java.lang.String` | `getFileContent(org.gcube.common.searchservice.resultsetservice.stubs.GetFileContentRequest params)` forwards the request to `ResultSet.getFileContent(java.lang.String)`
    `boolean` | `getFirstPart(java.lang.String sessionToken)` forwards the request to `ResultSet.getFirstPart()`
    `java.lang.String` | `getHeadFileName(java.lang.String sessionToken)` forwards the request to `ResultSet.getHeadName()`
    `java.lang.String` | `getHostIP(java.lang.String sessionToken)` forwards the request to `ResultSet.getHostIP()`
    `java.lang.String` | `getHostName(java.lang.String sessionToken)` forwards the request to `ResultSet.getHostName()`
    `boolean` | `getNextPart(org.gcube.common.searchservice.resultsetservice.stubs.GetNextPartRequest params)` forwards the request to `ResultSet.getNextPart(int)`
    `int` | `getNumberOfResults(org.gcube.common.searchservice.resultsetservice.stubs.GetNumberOfResultsRequest params)` forwards the request to `ResultSet.getNumberOfResults(java.lang.String)`
    `boolean` | `getPreviousPart(java.lang.String sessionToken)` forwards the request to `ResultSet.getPreviousPart()`
    `org.gcube.common.searchservice.resultsetservice.stubs.GetPropertiesResponse` | `getProperties(org.gcube.common.searchservice.resultsetservice.stubs.GetPropertiesRequest params)` forwards the request to `ResultSet.getProperties(java.lang.String)`
    `java.lang.String` | `getResult(org.gcube.common.searchservice.resultsetservice.stubs.GetResultRequest params)` forwards the request to `ResultSet.getResult(int)`
    `org.gcube.common.searchservice.resultsetservice.stubs.GetResultsResponse` | `getResults(org.gcube.common.searchservice.resultsetservice.stubs.GetResultsRequest params)` forwards the request to `ResultSet.getResults(int, int)`
    `long` | `getTimeLeasing(java.lang.String sessionToken)` forwards the request to `ResultSet`
    `boolean` | `isFirst(java.lang.String sessionToken)` forwards the request to `ResultSet.isFirst()`
    `boolean` | `isFlowControled(java.lang.String sessionToken)` checjs whether or not the underying RS is populated with results on demand
    `boolean` | `isForward(java.lang.String sessionToken)` forwards the request to `ResultSet`
    `boolean` | `isLast(java.lang.String sessionToken)` forwards the request to `ResultSet.isLast()`
    `java.lang.String` | `keepTop(org.gcube.common.searchservice.resultsetservice.stubs.KeepTopRequest params)` forwards the request to `ResultSet.keepTop(int, short)`
    `java.lang.String` | `keepTopProp(org.gcube.common.searchservice.resultsetservice.stubs.KeepTopPropRequest params)` forwards the request to `ResultSet.keepTop(java.lang.String[], int, short)`
    `boolean` | `nextAvailable(java.lang.String sessionToken)` forwards the request to `ResultSet.nextAvailable()`
    `static void` | `ready()`
    `boolean` | `removePreviousPart(java.lang.String sessionToken)` forwards the request to `ResultSet.removePreviousPart()`
    `java.lang.String` | `retrieveCustomProperties(java.lang.String sessionToken)` forwards the request to `ResultSet.retrieveCustomProperties()`
    `boolean` | `setForward(org.gcube.common.searchservice.resultsetservice.stubs.SetForwardRequest request)` forwards the request to `ResultSet`
    `org.gcube.common.searchservice.resultsetservice.stubs.SplitClearResponse` | `splitClear(java.lang.String sessionToken)` forwards the request to `ResultSet.splitClear()`
    `org.gcube.common.searchservice.resultsetservice.stubs.SplitEncodedResponse` | `splitEncoded(java.lang.String sessionToken)` forwards the request to `ResultSet.splitEncoded()`
    `org.gcube.common.searchservice.resultsetservice.stubs.StartNewPartResponse` | `startNewPart(java.lang.String sessionToken)` forwards the request to `ResultSet.startNewPart()`
    `java.lang.String` | `transformByXSLT(org.gcube.common.searchservice.resultsetservice.stubs.TransformByXSLTRequest params)` forwards the request to `ResultSet.transformByXSLT(java.lang.String)`
    `java.lang.String` | `transformRS(org.gcube.common.searchservice.resultsetservice.stubs.TransformByXSLTRequest params)` forwards the request to `ResultSet.transformRS(java.lang.String)`
    `java.lang.String` | `transformRSProp(org.gcube.common.searchservice.resultsetservice.stubs.TransformRSPropRequest params)` forwards the request to `ResultSet.transformRS(java.lang.String, java.lang.String[])`
    `org.gcube.common.searchservice.resultsetservice.stubs.WrapLocalFileResponse` | `wrapLocalFile(org.gcube.common.searchservice.resultsetservice.stubs.WrapLocalFileRequest params)` forwards the request to `ResultSet.wrapFile(java.lang.String)`
    `org.gcube.common.searchservice.resultsetservice.stubs.WrapResourceResponse` | `wrapResource(org.gcube.common.searchservice.resultsetservice.stubs.WrapResourceRequest request)` Creates a new resource holding a refernece to a new `ResultSet` which is created based on an existing `ResultSet`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResultSetService

          public ResultSetService()

      Intializes a new instance and creates a tcp listener

  - ### Method Detail

    - #### ready

          public static void ready()

    - #### createResource

          public org.gcube.common.searchservice.resultsetservice.stubs.CreateResourceResponse createResource(org.gcube.common.searchservice.resultsetservice.stubs.CreateResourceRequest request)
                                                                                                      throws java.rmi.RemoteException

      Creates a new resource holding a refernece to a new `ResultSet`
      Parameters:
        `request` - Autogenerated stub argument
      Returns:
        Autogenerated stub containing the epr to the created resource
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### createResourceExtended

          public org.gcube.common.searchservice.resultsetservice.stubs.CreateResourceResponse createResourceExtended(org.gcube.common.searchservice.resultsetservice.stubs.CreateResourceExtendedRequest request)
                                                                                                              throws java.rmi.RemoteException

      Creates a new resource holding a refernece to a new `ResultSet`
      Parameters:
        `request` - Autogenerated stub argument
      Returns:
        Autogenerated stub containing the epr to the created resource
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### createSerializedResource

          public org.gcube.common.searchservice.resultsetservice.stubs.CreateSerializedResourceResponse createSerializedResource(org.gcube.common.searchservice.resultsetservice.stubs.CreateSerializedResourceRequest request)
                                                                                                                          throws java.rmi.RemoteException

      Creates a new resource holding a refernece to a new `ResultSet`
      Parameters:
        `request` - Autogenerated stub input
      Returns:
        Autogenerated stub containing the epr to the created resource
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### wrapResource

          public org.gcube.common.searchservice.resultsetservice.stubs.WrapResourceResponse wrapResource(org.gcube.common.searchservice.resultsetservice.stubs.WrapResourceRequest request)
                                                                                                  throws java.rmi.RemoteException

      Creates a new resource holding a refernece to a new `ResultSet` which is created based on an existing `ResultSet`
      Parameters:
        `request` - autogenerated stub input
      Returns:
        Autogenerated stub containing the epr to the created resource
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### accessResource

          public org.gcube.common.searchservice.resultsetservice.stubs.AccessResourceResponse accessResource(org.gcube.common.searchservice.resultsetservice.stubs.AccessResourceRequest request)
                                                                                                      throws java.rmi.RemoteException

      Creates a new resource holding a new reference to the `ResultSet` that was used to access the method
      Parameters:
        `request` - autogenerated stub input
      Returns:
        Autogenerated stub holding the EPR to the created resource
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### startNewPart

          public org.gcube.common.searchservice.resultsetservice.stubs.StartNewPartResponse startNewPart(java.lang.String sessionToken)
                                                                                                  throws java.rmi.RemoteException

      forwards the request to `ResultSet.startNewPart()`
      Parameters:
        `sessionToken` - Session token
      Returns:
        autogenerated stub output
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### clear

          public org.gcube.common.searchservice.resultsetservice.stubs.ClearResponse clear(java.lang.String sessionToken)
                                                                                    throws java.rmi.RemoteException

      forwards the request to `ResultSet.clear()`
      Parameters:
        `sessionToken` - the session token
      Returns:
        autogenerated stub output
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### endAuthoring

          public org.gcube.common.searchservice.resultsetservice.stubs.EndAuthoringResponse endAuthoring(java.lang.String sessionToken)
                                                                                                  throws java.rmi.RemoteException

      forwards the request to `ResultSet.endAuthoring()`
      Parameters:
        `sessionToken` - the session token
      Returns:
        autogenerated stub output
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### addResults

          public boolean addResults(org.gcube.common.searchservice.resultsetservice.stubs.AddResultsRequest params)
                             throws java.rmi.RemoteException

      forwards the request to `ResultSet.addResults(java.lang.String[])`
      Parameters:
        `params` - Autogenerates stub input
      Returns:
        the result of `ResultSet.addResults(java.lang.String[])`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### addText

          public boolean addText(org.gcube.common.searchservice.resultsetservice.stubs.AddTextRequest params)
                          throws java.rmi.RemoteException

      forwards the request to `ResultSet.addText(java.lang.String[])`
      Parameters:
        `params` - Autogenerates stub input
      Returns:
        the result of `ResultSet.addText(java.lang.String[])`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### wrapLocalFile

          public org.gcube.common.searchservice.resultsetservice.stubs.WrapLocalFileResponse wrapLocalFile(org.gcube.common.searchservice.resultsetservice.stubs.WrapLocalFileRequest params)
                                                                                                    throws java.rmi.RemoteException

      forwards the request to `ResultSet.wrapFile(java.lang.String)`
      Parameters:
        `params` - Autogenerated stub input
      Returns:
        autogenerated stub output
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### getHeadFileName

          public java.lang.String getHeadFileName(java.lang.String sessionToken)
                                           throws java.rmi.RemoteException

      forwards the request to `ResultSet.getHeadName()`
      Parameters:
        `sessionToken` - the session token
      Returns:
        the result of `ResultSet.getHeadName()`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### getCurrentContentPartName

          public java.lang.String getCurrentContentPartName(java.lang.String sessionToken)
                                                     throws java.rmi.RemoteException

      forwards the request to `ResultSet.getCurrentContentPartName()`
      Parameters:
        `sessionToken` - session token
      Returns:
        the result of `ResultSet.getCurrentContentPartName()`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### getCurrentContentPartPayload

          public java.lang.String getCurrentContentPartPayload(java.lang.String sessionToken)
                                                        throws java.rmi.RemoteException

      forwards the request to `ResultSet.getCurrentContentPartPayload()`
      Parameters:
        `sessionToken` - the session token
      Returns:
        the result of `ResultSet.getCurrentContentPartPayload()`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### getProperties

          public org.gcube.common.searchservice.resultsetservice.stubs.GetPropertiesResponse getProperties(org.gcube.common.searchservice.resultsetservice.stubs.GetPropertiesRequest params)
                                                                                                    throws java.rmi.RemoteException

      forwards the request to `ResultSet.getProperties(java.lang.String)`
      Parameters:
        `params` - Autogenerated stub input
      Returns:
        the result of `ResultSet.getProperties(java.lang.String)`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### getNextPart

          public boolean getNextPart(org.gcube.common.searchservice.resultsetservice.stubs.GetNextPartRequest params)
                              throws java.rmi.RemoteException

      forwards the request to `ResultSet.getNextPart(int)`
      Parameters:
        `params` - autogenerated stub input
      Returns:
        the result of `ResultSet.getNextPart(int)`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### nextAvailable

          public boolean nextAvailable(java.lang.String sessionToken)
                                throws java.rmi.RemoteException

      forwards the request to `ResultSet.nextAvailable()`
      Parameters:
        `sessionToken` - The session token
      Returns:
        the result of `ResultSet.nextAvailable()`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### getPreviousPart

          public boolean getPreviousPart(java.lang.String sessionToken)
                                  throws java.rmi.RemoteException

      forwards the request to `ResultSet.getPreviousPart()`
      Parameters:
        `sessionToken` - the session token
      Returns:
        the result of `ResultSet.getPreviousPart()`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### getFirstPart

          public boolean getFirstPart(java.lang.String sessionToken)
                               throws java.rmi.RemoteException

      forwards the request to `ResultSet.getFirstPart()`
      Parameters:
        `sessionToken` - the session token
      Returns:
        the result of `ResultSet.getFirstPart()`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### isFirst

          public boolean isFirst(java.lang.String sessionToken)
                          throws java.rmi.RemoteException

      forwards the request to `ResultSet.isFirst()`
      Parameters:
        `sessionToken` - he session token
      Returns:
        the result of `ResultSet.isFirst()`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### isLast

          public boolean isLast(java.lang.String sessionToken)
                         throws java.rmi.RemoteException

      forwards the request to `ResultSet.isLast()`
      Parameters:
        `sessionToken` - he session token
      Returns:
        the result of `ResultSet.isLast()`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### getNumberOfResults

          public int getNumberOfResults(org.gcube.common.searchservice.resultsetservice.stubs.GetNumberOfResultsRequest params)
                                 throws java.rmi.RemoteException

      forwards the request to `ResultSet.getNumberOfResults(java.lang.String)`
      Parameters:
        `params` - Autogenerated stub input
      Returns:
        the result of `ResultSet.getNumberOfResults(java.lang.String)`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### getResult

          public java.lang.String getResult(org.gcube.common.searchservice.resultsetservice.stubs.GetResultRequest params)
                                     throws java.rmi.RemoteException

      forwards the request to `ResultSet.getResult(int)`
      Parameters:
        `params` - Autogenerated stub input
      Returns:
        The result of `ResultSet.getResult(int)`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### getAllResults

          public org.gcube.common.searchservice.resultsetservice.stubs.GetAllResultsResponse getAllResults(java.lang.String sessionToken)
                                                                                                    throws java.rmi.RemoteException

      forwards the request to `ResultSet.getResults()`
      Parameters:
        `sessionToken` - the session token
      Returns:
        the result of `ResultSet.getResults()` wrapped in an autogenerated stub
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### getResults

          public org.gcube.common.searchservice.resultsetservice.stubs.GetResultsResponse getResults(org.gcube.common.searchservice.resultsetservice.stubs.GetResultsRequest params)
                                                                                              throws java.rmi.RemoteException

      forwards the request to `ResultSet.getResults(int, int)`
      Parameters:
        `params` - Autogenerates stub input
      Returns:
        the result of `ResultSet.getResults(int, int)` wrapped in an autogenerated stub
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### getHostIP

          public java.lang.String getHostIP(java.lang.String sessionToken)
                                     throws java.rmi.RemoteException

      forwards the request to `ResultSet.getHostIP()`
      Parameters:
        `sessionToken` - the session token
      Returns:
        the result of `ResultSet.getHostIP()`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### getHostName

          public java.lang.String getHostName(java.lang.String sessionToken)
                                       throws java.rmi.RemoteException

      forwards the request to `ResultSet.getHostName()`
      Parameters:
        `sessionToken` - the session token
      Returns:
        the result of `ResultSet.getHostName()`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### splitEncoded

          public org.gcube.common.searchservice.resultsetservice.stubs.SplitEncodedResponse splitEncoded(java.lang.String sessionToken)
                                                                                                  throws java.rmi.RemoteException

      forwards the request to `ResultSet.splitEncoded()`
      Parameters:
        `sessionToken` - the session token
      Returns:
        the result of `ResultSet.splitEncoded()`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### splitClear

          public org.gcube.common.searchservice.resultsetservice.stubs.SplitClearResponse splitClear(java.lang.String sessionToken)
                                                                                              throws java.rmi.RemoteException

      forwards the request to `ResultSet.splitClear()`
      Parameters:
        `sessionToken` - the session token
      Returns:
        the result of `ResultSet.splitClear()`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### getFileContent

          public java.lang.String getFileContent(org.gcube.common.searchservice.resultsetservice.stubs.GetFileContentRequest params)
                                          throws java.rmi.RemoteException

      forwards the request to `ResultSet.getFileContent(java.lang.String)`
      Parameters:
        `params` - Autogenerated stub input
      Returns:
        the result of `ResultSet.getFileContent(java.lang.String)`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### retrieveCustomProperties

          public java.lang.String retrieveCustomProperties(java.lang.String sessionToken)
                                                    throws java.rmi.RemoteException

      forwards the request to `ResultSet.retrieveCustomProperties()`
      Parameters:
        `sessionToken` - the session token
      Returns:
        the result of `ResultSet.retrieveCustomProperties()`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### keepTop

          public java.lang.String keepTop(org.gcube.common.searchservice.resultsetservice.stubs.KeepTopRequest params)
                                   throws java.rmi.RemoteException

      forwards the request to `ResultSet.keepTop(int, short)`
      Parameters:
        `params` - autogenerated stub input
      Returns:
        the result of `ResultSet.keepTop(int, short)`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### keepTopProp

          public java.lang.String keepTopProp(org.gcube.common.searchservice.resultsetservice.stubs.KeepTopPropRequest params)
                                       throws java.rmi.RemoteException

      forwards the request to `ResultSet.keepTop(java.lang.String[], int, short)`
      Parameters:
        `params` - autogenerated stub input
      Returns:
        the result of `ResultSet.keepTop(java.lang.String[], int, short)`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### executeQueryOnHead

          public java.lang.String executeQueryOnHead(org.gcube.common.searchservice.resultsetservice.stubs.ExecuteQueryOnHeadRequest params)
                                              throws java.rmi.RemoteException

      forwards the request to `ResultSet.executeQueryOnHead(java.lang.String)`
      Parameters:
        `params` - autogenerated stub input
      Returns:
        the result of `ResultSet.executeQueryOnHead(java.lang.String)`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### executeQueryOnDocument

          public java.lang.String executeQueryOnDocument(org.gcube.common.searchservice.resultsetservice.stubs.ExecuteQueryOnDocumentRequest params)
                                                  throws java.rmi.RemoteException

      forwards the request to `ResultSet.executeQueryOnDocument(java.lang.String)`
      Parameters:
        `params` - autogenerated stub input
      Returns:
        the result of `ResultSet.executeQueryOnDocument(java.lang.String)`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### executeQueryOnResults

          public org.gcube.common.searchservice.resultsetservice.stubs.ExecuteQueryOnResultsResponse executeQueryOnResults(org.gcube.common.searchservice.resultsetservice.stubs.ExecuteQueryOnResultsRequest params)
                                                                                                                    throws java.rmi.RemoteException

      forwards the request to `ResultSet.executeQueryOnResults(java.lang.String)`
      Parameters:
        `params` - autogenerated stub input
      Returns:
        the result of `ResultSet.executeQueryOnResults(java.lang.String)` wrapped in an autogenerated stub
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### cloneRS

          public java.lang.String cloneRS(java.lang.String sessionToken)
                                   throws java.rmi.RemoteException

      forwards the request to `ResultSet.cloneRS()`
      Parameters:
        `sessionToken` - the session token
      Returns:
        the result of `ResultSet.cloneRS()`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### filterRS

          public java.lang.String filterRS(org.gcube.common.searchservice.resultsetservice.stubs.FilterRSRequest params)
                                    throws java.rmi.RemoteException

      forwards the request to `ResultSet.filterRS(java.lang.String)`
      Parameters:
        `params` - autogenerated stub input
      Returns:
        the result of `ResultSet.filterRS(java.lang.String)`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### filterRSProp

          public java.lang.String filterRSProp(org.gcube.common.searchservice.resultsetservice.stubs.FilterRSPropRequest params)
                                        throws java.rmi.RemoteException

      forwards the request to `ResultSet.filterRS(java.lang.String, java.lang.String[])`
      Parameters:
        `params` - autogenerated stub input
      Returns:
        the result of `ResultSet.filterRS(java.lang.String, java.lang.String[])`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### transformByXSLT

          public java.lang.String transformByXSLT(org.gcube.common.searchservice.resultsetservice.stubs.TransformByXSLTRequest params)
                                           throws java.rmi.RemoteException

      forwards the request to `ResultSet.transformByXSLT(java.lang.String)`
      Parameters:
        `params` - autogenerateed stub input
      Returns:
        the result of `ResultSet.transformByXSLT(java.lang.String)`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### transformRS

          public java.lang.String transformRS(org.gcube.common.searchservice.resultsetservice.stubs.TransformByXSLTRequest params)
                                       throws java.rmi.RemoteException

      forwards the request to `ResultSet.transformRS(java.lang.String)`
      Parameters:
        `params` - autogenerated stub input
      Returns:
        the result of `ResultSet.transformRS(java.lang.String)`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### transformRSProp

          public java.lang.String transformRSProp(org.gcube.common.searchservice.resultsetservice.stubs.TransformRSPropRequest params)
                                           throws java.rmi.RemoteException

      forwards the request to `ResultSet.transformRS(java.lang.String, java.lang.String[])`
      Parameters:
        `params` - autogenerated stub input
      Returns:
        the result of `ResultSet.transformRS(java.lang.String, java.lang.String[])`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### isFlowControled

          public boolean isFlowControled(java.lang.String sessionToken)
                                  throws java.rmi.RemoteException

      checjs whether or not the underying RS is populated with results on demand
      Parameters:
        `sessionToken` - the session token
      Returns:
        `true` if the RS supports on demand production. `fale` otherwise
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### canAttach

          public boolean canAttach(java.lang.String sessionToken)
                            throws java.rmi.RemoteException

      Attaches the current payload file
      Parameters:
        `sessionToken` - the session token
      Returns:
        true if the payload is attached, false otehrwoise
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### canStream

          public org.gcube.common.searchservice.resultsetservice.stubs.CanStreamResponse canStream(java.lang.String sessionToken)
                                                                                            throws java.rmi.RemoteException

      Returns availalble port to connect to
      Parameters:
        `sessionToken` - the session token
      Returns:
        the port to connect to or negative otherwise
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### destroySession

          public org.gcube.common.searchservice.resultsetservice.stubs.DestroySessionResponse destroySession(java.lang.String sessionToken)
                                                                                                      throws java.rmi.RemoteException

      Destroys the seesion associated with the session token
      Parameters:
        `sessionToken` - the session token
      Returns:
        Autogenerated stub output
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### removePreviousPart

          public boolean removePreviousPart(java.lang.String sessionToken)
                                     throws java.rmi.RemoteException

      forwards the request to `ResultSet.removePreviousPart()`
      Parameters:
        `sessionToken` - the session token
      Returns:
        the result of `ResultSet.removePreviousPart()`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### disableAccessLeasing

          public boolean disableAccessLeasing(java.lang.String sessionToken)
                                       throws java.rmi.RemoteException

      forwards the request to `ResultSet`
      Parameters:
        `sessionToken` - the session token
      Returns:
        always true
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### extendAccessLeasing

          public org.gcube.common.searchservice.resultsetservice.stubs.ExtendAccessLeasingResponse extendAccessLeasing(org.gcube.common.searchservice.resultsetservice.stubs.ExtendAccessLeasingRequest request)
                                                                                                                throws java.rmi.RemoteException

      forwards the request to `ResultSet`
      Parameters:
        `request` - the session token
      Returns:
        the service responce
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### getAccessLeasing

          public int getAccessLeasing(java.lang.String sessionToken)
                               throws java.rmi.RemoteException

      forwards the request to `ResultSet`
      Parameters:
        `sessionToken` - the session token
      Returns:
        the result of `ResultSet.removePreviousPart()`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### isForward

          public boolean isForward(java.lang.String sessionToken)
                            throws java.rmi.RemoteException

      forwards the request to `ResultSet`
      Parameters:
        `sessionToken` - the session token
      Returns:
        the result of `ResultSet.removePreviousPart()`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### setForward

          public boolean setForward(org.gcube.common.searchservice.resultsetservice.stubs.SetForwardRequest request)
                             throws java.rmi.RemoteException

      forwards the request to `ResultSet`
      Parameters:
        `request` - the session token
      Returns:
        the service responce
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### disableTimeLeasing

          public boolean disableTimeLeasing(java.lang.String sessionToken)
                                     throws java.rmi.RemoteException

      forwards the request to `ResultSet`
      Parameters:
        `sessionToken` - the session token
      Returns:
        always true
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### extendTimeLeasing

          public org.gcube.common.searchservice.resultsetservice.stubs.ExtendTimeLeasingResponse extendTimeLeasing(org.gcube.common.searchservice.resultsetservice.stubs.ExtendTimeLeasingRequest request)
                                                                                                            throws java.rmi.RemoteException

      forwards the request to `ResultSet`
      Parameters:
        `request` - the session token
      Returns:
        the service responce
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured

    - #### getTimeLeasing

          public long getTimeLeasing(java.lang.String sessionToken)
                              throws java.rmi.RemoteException

      forwards the request to `ResultSet`
      Parameters:
        `sessionToken` - the session token
      Returns:
        the result of `ResultSet.removePreviousPart()`
      Throws:
        `java.rmi.RemoteException` - An unrecoverable for the operation error occured